export declare type Dimensions = Record<Orientation, OrientedDimensions> & Traits;
export interface OrientedDimensions {
    layoutMargins: Frame;
    readableContent: Frame;
    safeArea: Frame;
    screen: Screen;
    sizeClass: SizeClasses;
}
export interface ExtractedDimensions extends OrientedDimensions, Traits {
    orientation: Orientation;
}
export interface Traits {
    device: Device;
    name: string;
    radius: number;
    scale: number;
}
export declare type Device = "iPad" | "iPhone";
export declare type Orientation = "landscape" | "portrait";
export declare type SizeClass = "compact" | "regular" | "unspecified";
export interface Screen {
    height: number;
    width: number;
}
export interface SizeClasses {
    horizontal: SizeClass;
    vertical: SizeClass;
}
export interface Frame {
    bottom: number;
    left: number;
    right: number;
    top: number;
}
